export interface RegisterRequest {
    version: string;
    appId: string;
    challenge: string;
}
export interface SignRequest extends RegisterRequest {
    keyHandle: string;
}
export interface RegisterResponse {
    clientData: string;
    registrationData: string;
    version: string;
}
export interface SignResponse {
    clientData: string;
    keyHandle: string;
    signatureData: string;
}
export interface BackendError {
    errorCode?: keyof typeof ErrorCodes;
}
export declare type OrError<T> = T & BackendError;
export declare type Transport = 'bt' | 'ble' | 'nfc' | 'usb';
export declare type Transports = Array<Transport>;
export interface RegisteredKey {
    version: string;
    keyHandle: string;
    transports: Transports;
    appId: string;
}
export declare const ErrorCodes: {
    OK: number;
    OTHER_ERROR: number;
    BAD_REQUEST: number;
    CONFIGURATION_UNSUPPORTED: number;
    DEVICE_INELIGIBLE: number;
    TIMEOUT: number;
};
export declare const ErrorNames: {
    "0": string;
    "1": string;
    "2": string;
    "3": string;
    "4": string;
    "5": string;
};
export declare function makeError(msg: string, err: BackendError): Error;
